/**
 * ActRelationshipHasComponent.java
 *
 * File generated from the medication::ActRelationshipHasComponent uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipHasComponent.
 *
 * 
 */

@XmlType(name = "ActRelationshipHasComponent")
@XmlEnum
@XmlRootElement(name = "ActRelationshipHasComponent")
public enum ActRelationshipHasComponent {
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("ARR")
	ARR("ARR"),
	@XmlEnumValue("CTRLV")
	CTRLV("CTRLV"),
	@XmlEnumValue("DEP")
	DEP("DEP");
	
	private final String value;

    ActRelationshipHasComponent(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipHasComponent fromValue(String v) {
        for (ActRelationshipHasComponent c: ActRelationshipHasComponent.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}